Take the 2-minute tour ×
Geographic Information Systems Stack Exchange is a question and answer site for cartographers, geographers and GIS professionals. It's 100% free, no registration required.

I am new to all kinds of GIS software. Due to my project I need to open WFS site which needs a WFS standard 1.1.0. I tried to do it with MapInfo Professional 11.5, but it wont open it. I found a solution from the internet which told me to put ?request=getCapabilities&version=1.1.0 in the end of my WFS URL, but it gives me an error " Unable to get capabilities from the server " Do I have to download any add-ons to MapInfo 11.5? Or can anybody suggest me some other programs to get this link to work? Best Regards, Jarmo.

share|improve this question
    
Can you share the link? Can you determine which server is used (the best way to do so is often to open the link and to add a bogus request). –  johanvdw Nov 28 '12 at 11:02
    
I checked it out meanwhile - that server really supports only 1.1.0 –  user1702401 Nov 28 '12 at 13:09
add comment

1 Answer 1

Your answer is still little bit ambiguos. Did I understood correctly, that WFS service supports only 1.1.0, but MapInfo supports only 1.0.0?

There is service=WFS missing in your request string. Open those two URL-s in browser, what do you get?

http://url.to.your.serice?request=getCapabilities&version=1.1.0&service=WFS http://url.to.your.serice?request=getCapabilities&version=1.0.0&service=WFS

For testing (if you are stuck with MapInfo), you can download Quantum GIS (http://www.qgis.org/), it supports WFS.

share|improve this answer
    
I tried these two URL´s (with Mapinfo 11.5) - with the first URL I got the same error " Unable to get capabilities from the WFS server", with the other one (1.0.0) it was OK. But the problem is that the server i need to open needs WFS standard 1.1.0, it would not open with 1.0.0. The company that gave me the server link told that I need to download some kind of add-ons to Mapinfo 11.5, but they wont tell me what kind of add-ons. Any ideas ? –  Jarmo Nov 28 '12 at 10:09
1  
1) Ask again from company, that gave WFS url 2) Ask from your MapInfo retailer –  user1702401 Nov 28 '12 at 10:14
    
In addition to my previous comment: As said in critchlowli.wordpress.com/tag/mapinfo-professional support for 1.1.0 will be in upcoming 11.5.2. Download section of Mapinfos home page doesn't offer even update to 11.5.1. So asking from retailer may be your best shot. –  user1702401 Nov 28 '12 at 10:46
    
Now I tried with QuantumGIS. I managed to connect with server but when I am trying to apply the coordinates to the map, QuantumGIS crashes :/ –  Jarmo Nov 28 '12 at 11:06
3  
MapInfo Professional doesn't support WFS 1.1.0 yet. It will be supported when we release 11.5.2 within the next month or so. –  Peter Horsbøll Møller Nov 28 '12 at 13:06
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.